import React from 'react';
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
const PlotlyIconBase = _ref => {
  let {
    children,
    width,
    height,
    style = {},
    ...props
  } = _ref;
  return /*#__PURE__*/_jsx("svg", {
    children: children,
    fill: "currentColor",
    preserveAspectRatio: "xMidYMid meet",
    height: height,
    width: width,
    style: style,
    ...props
  });
};
PlotlyIconBase.propTypes = {
  children: PropTypes.node.isRequired,
  width: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  height: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  style: PropTypes.object
};
export default PlotlyIconBase;